// ファイル名： Ch05/classBox.cc 
#include <iostream> 
#include <string> 
#include <vector> 
#include "units.inc" 
using namespace std; 
typedef vector<double>  BoxPars; 
 
class Box { 
 public: 
   Box(string name, BoxPars sizeXYZ) 
     { boxName = name; boxPars = sizeXYZ; } 
   Box(){ }; 
  ~Box(){ }; 
   string  getName(){ return boxName; }  
   BoxPars getPars(){ return boxPars; }  
 private: 
   BoxPars boxPars; 
   string boxName; 
}; 
 
int main() { 
  BoxPars pars = { 35.0*cm, 2.5*mm, 1.5*m }; 
  Box myBox("MyBox_01", pars); 
  cout << "Name: "   << myBox.getName() << endl; 
  cout << "Size-X: " << myBox.getPars()[0]/cm << "cm" << endl;   
  return 0; } 
